# Method: projects.locations.namespaces.services.delete

- [HTTP request](https://docs.cloud.google.com/service-directory/docs/reference/rest/v1/projects.locations.namespaces.services/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-directory/docs/reference/rest/v1/projects.locations.namespaces.services/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-directory/docs/reference/rest/v1/projects.locations.namespaces.services/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/service-directory/docs/reference/rest/v1/projects.locations.namespaces.services/delete#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/service-directory/docs/reference/rest/v1/projects.locations.namespaces.services/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-directory/docs/reference/rest/v1/projects.locations.namespaces.services/delete#try-it)

Deletes a service. This also deletes all endpoints associated with the service.

### HTTP request

`DELETE https://servicedirectory.googleapis.com/v1/{name=projects/*/locations/*/namespaces/*/services/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the service to delete. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `servicedirectory.services.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).